libzypp 17.38.15

zypp::xml::parse_def_assign Namespace Reference

parseDefAssign exposed details More...

## Classes
struct | Assigner
| Assigner assigns text to types constructible from `char*`. More...
struct | Assigner< void >
| Common interface to all Assigner types. More...
struct | Consumer
| ParseDef consumer assigning Node text and attribues values to variables. More...
struct | Builder
| Helper class to build a Consumer. More...

## Typedefs
using | AssignerRef = shared_ptr<Assigner<void>>

## Functions
relates: Assigner Convenience constructor
template<class Tp>
AssignerRef | assigner (Tp &value_r)
template<class Tp, Tp TInitial>
AssignerRef | assigner (DefaultIntegral< Tp, TInitial > &value_r)

## Detailed Description

parseDefAssign exposed details

## Typedef Documentation

## ◆ AssignerRef

using zypp::xml::parse_def_assign::AssignerRef = shared_ptr<Assigner<void>>

Definition at line 131 of file ParseDefConsume.h.

## Function Documentation

## ◆ assigner() [1/2]

template<class Tp>

AssignerRef zypp::xml::parse_def_assign::assigner | ( | Tp & | value_r | ) |
| inline

Definition at line 187 of file ParseDefConsume.h.

## ◆ assigner() [2/2]

template<class Tp, Tp TInitial>

AssignerRef zypp::xml::parse_def_assign::assigner | ( | DefaultIntegral< Tp, TInitial > & | value_r | ) |
| inline

Definition at line 191 of file ParseDefConsume.h.